CREATE TABLE jv_contribution_requests_b (
    CONTRIBUTION_REQUEST_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    REQUEST_SHORT_NAME               VARCHAR2(120)    NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0),
    START_DATE                       DATE         ,
    END_DATE                         DATE         ,
    OPEN_DISTRIBUTION_AMOUNT_FLAG    VARCHAR2(4)      NOT NULL,
    REQUEST_FREQUENCY_CODE           VARCHAR2(120),
    REQUESTED_GROSS_AMOUNT           NUMBER       ,
    REQUEST_STATUS_CODE              VARCHAR2(120)    NOT NULL,
    STAKEHOLDER_ID                   NUMBER(18, 0),
    OWNERSHIP_DEFINITION_NAME        VARCHAR2(120),
    WEEK_START_DAY_CODE              VARCHAR2(120),
    WEEK_END_DAY_CODE                VARCHAR2(120),
    RUN_DAY_CODE                     VARCHAR2(120),
    REQUEST_CURRENCY_CODE            VARCHAR2(60) ,
    CONVERSION_DATE_CODE             VARCHAR2(120),
    CONTRIBUTION_ACCOUNT_CCID        NUMBER(18, 0),
    LAST_RUN_DATE                    DATE         ,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    CONTRIBUTION_REQUEST_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    REQUEST_SHORT_NAME               VARCHAR2(120)    NOT NULL,
    JOINT_VENTURE_ID                 NUMBER(18, 0),
    START_DATE                       DATE         ,
    END_DATE                         DATE         ,
    OPEN_DISTRIBUTION_AMOUNT_FLAG    VARCHAR2(4)      NOT NULL,
    REQUEST_FREQUENCY_CODE           VARCHAR2(120),
    REQUESTED_GROSS_AMOUNT           NUMBER       ,
    REQUEST_STATUS_CODE              VARCHAR2(120)    NOT NULL,
    STAKEHOLDER_ID                   NUMBER(18, 0),
    OWNERSHIP_DEFINITION_NAME        VARCHAR2(120),
    WEEK_START_DAY_CODE              VARCHAR2(120),
    WEEK_END_DAY_CODE                VARCHAR2(120),
    RUN_DAY_CODE                     VARCHAR2(120),
    REQUEST_CURRENCY_CODE            VARCHAR2(60) ,
    CONVERSION_DATE_CODE             VARCHAR2(120),
    CONTRIBUTION_ACCOUNT_CCID        NUMBER(18, 0),
    LAST_RUN_DATE                    DATE         ,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE_CHAR1                  VARCHAR2(600),
    ATTRIBUTE_CHAR2                  VARCHAR2(600),
    ATTRIBUTE_CHAR3                  VARCHAR2(600),
    ATTRIBUTE_CHAR4                  VARCHAR2(600),
    ATTRIBUTE_CHAR5                  VARCHAR2(600),
    ATTRIBUTE_CHAR6                  VARCHAR2(600),
    ATTRIBUTE_CHAR7                  VARCHAR2(600),
    ATTRIBUTE_CHAR8                  VARCHAR2(600),
    ATTRIBUTE_CHAR9                  VARCHAR2(600),
    ATTRIBUTE_CHAR10                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    CONSTRAINT pk_jv_contribution_requests_b PRIMARY KEY (CONTRIBUTION_REQUEST_ID, CONTRIBUTION_REQUEST_ID)
);
